EXPORTFS(8)

NAME
exportfs - export and unexport directories to NFS clients

SYNOPSIS
/usr/sbin/exportfs [ -aivu ] [ -o options ] [ directory ]

DESCRIPTION

exportfs makes a local directory (or file) available for mounting over the network by NFS clients. It is normally invoked at boot time by the /etc/rc script, and uses information contained in the /etc/exports file to export a directory (which must be specified as a full pathname). If there is no /etc/exports file, or it is present but doesn't contain the directory name of interest, exportfs will try to export that directory. The super-user can run exportfs at any time to alter the list or characteristics of exported directories. Directories that are currently exported are listed in the file /etc/xtab.

With no options or arguments, exportfs prints out the list of directories currently exported.

OPTIONS

-a  All. Export all directories listed in /etc/exports, or if -u is specified, unexport all of the currently exported directories.

-v  Verbose. Print each directory as it is exported or unexported.

-u  Unexport the indicated directories.

-i  Ignore the options in /etc/exports. Normally, exportfs will consult /etc/exports for the options associated with the exported directory.

-o options
    Specify a comma-separated list of optional characteristics for the directory being exported. If the -o option is used on the command line, it will override any options specified for that directory in the /etc/exports file. options can be selected from among:

    ro  Export the directory read-only. If not specified, the directory is exported read-write.

    rw=hostname[:hostname]...
        Export the directory read-mostly. Read-mostly means exported read-only to most machines, but read-write to those specified. If not specified, the directory is exported read-write to all.

    anon=uid
        If a request comes from an unknown user, use uid as the effective user ID. Note: root users (uid 0) are always considered "unknown" by the NFS server, unless they are included in the "root" option below. The default value for this option is -2. Setting the value of ``anon'' to -1 disables anonymous access. Note that by default secure NFS accepts insecure requests as anonymous, and those wishing for extra security can disable this feature by setting ``anon'' to -1.

    root=hostname[:hostname]...
        Give root access only to the root users from a specified hostname. The default is for no hosts to be granted root access.

    access=client[:client]...
        Give mount access to each client listed. A client can either be a hostname, or a netgroup (see netgroup(5)). Each client in the list is first checked for in the /etc/netgroup database, and then the /etc/hosts database. The default value allows any machine to mount the given directory.

    secure
        Require clients to use a more secure protocol when accessing the directory.

FILES
/etc/exports
    static export information
/etc/xtab
    current state of exported directories
/etc/netgroup

SEE ALSO
exports(5), netgroup(5)

WARNINGS
You cannot export a directory that is either a parent- or a sub-directory of one that is currently exported and within the same filesystem. It would be illegal, for example, to export both /usr and /usr/local if both directories resided in the same disk partition.

The file /etc/exports must be kept reasonably short if the -a option is to execute is a sensible amount of time, the execution time depends on the square of the number of entries in the /etc/exports file. With about 20 entries in the file exportfs -a takes 20 to 30 seconds.